import { LitElement, PropertyValues, TemplateResult } from 'lit';
/**
 * Focused page
 *
 * @slot - This element has a slot
 */
export declare class CovalentFocusedPage extends LitElement {
    static styles: import("lit").CSSResult[];
    /**
     * Whether the help section is open or not
     */
    helpOpen: boolean;
    /**
     * Whether the help section is resizable
     */
    helpResizable: boolean;
    /**
     * Whether the top border is hidden
     */
    hideTopBorder: boolean;
    /**
     * DOM element of the container div
     */
    container: HTMLDivElement;
    /**
     * DOM element of the help panel
     */
    helpPanel: HTMLElement;
    /**
     * DOM element of the resize handler
     */
    resizeHandle: HTMLElement;
    /**
     * Whether the help section is being resized
     */
    private _isResizing;
    constructor();
    protected firstUpdated(): void;
    openHelpPanel(): void;
    closeHelpPanel(): void;
    resetHelpPanelWidth(): void;
    setHelpPanelWidth(width: string): void;
    protected updated(_changedProperties: PropertyValues): void;
    private _resizerMouseMove;
    private _resizerMouseUp;
    private _startResizing;
    protected render(): TemplateResult<1>;
}
declare global {
    interface HTMLElementTagNameMap {
        'cv-focused-page': CovalentFocusedPage;
    }
}
export default CovalentFocusedPage;
